"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _preact = require("preact");

var _transitionIn = require("./transition-in");

var _default = (0, _transitionIn.transitionIn)(({
  firstRender,
  percentage,
  barColor = 'dark-green',
  backgroundColor = 'white'
}) => (0, _preact.h)("div", {
  className: "relative overflow-hidden br-pill ba b--gray shadow-3 bg-".concat(backgroundColor)
}, (0, _preact.h)("div", {
  className: "h1 w-100 absolute br-pill bg-".concat(barColor, " transition"),
  style: {
    transform: "translateX(-".concat(100 - Math.max(firstRender ? 0 : percentage * 100, 1), "%)"),
    boxShadow: 'inset 0px 0px 3px rgba(0, 0, 0, 0.3)'
  }
}), (0, _preact.h)("div", {
  className: "h1"
})));

exports.default = _default;